package com.mortals.xhx.module.one.model;

import java.util.Date;
import com.mortals.framework.model.BaseEntityLong;
/**
*
* Description:OneTopical
* date: 2021-9-13 16:21:34
*/
public class OneTopicalEntity extends BaseEntityLong{
    private static final long serialVersionUID = 1631521294937L;


    /**
    * 主题名称
    */
    private String topicalName;

    /**
    * 主题排序
    */
    private Integer topicalRank;

    /**
    * 站点id
    */
    private Long siteId;

    /**
    * 主题类型（1 个人服务，2 企业服务）
    */
    private Integer topicalType;

    /**
    * 
    */
    private Integer deleted;

    /**
    * 创建人id
    */
    private Long createUserId;

    /**
    * 创建人名称
    */
    private String createUserName;

    /**
    * 创建时间
    */
    private Date createTime;

    /**
    * 修改人
    */
    private Long updateUserId;

    /**
    * 修改人名称
    */
    private String updateUserName;

    /**
    * 更新时间
    */
    private Date updateTime;

    public OneTopicalEntity(){

    }
    /**
    * 获取 主题名称
    * @return topicalName
    */
    public String getTopicalName() {
        return this.topicalName;
    }
    /**
    * 设置 主题名称
    * @param topicalName
    */
    public void setTopicalName(String topicalName) {
        this.topicalName = topicalName;
    }
    /**
    * 获取 主题排序
    * @return topicalRank
    */
    public Integer getTopicalRank() {
        return this.topicalRank;
    }
    /**
    * 设置 主题排序
    * @param topicalRank
    */
    public void setTopicalRank(Integer topicalRank) {
        this.topicalRank = topicalRank;
    }
    /**
    * 获取 站点id
    * @return siteId
    */
    public Long getSiteId() {
        return this.siteId;
    }
    /**
    * 设置 站点id
    * @param siteId
    */
    public void setSiteId(Long siteId) {
        this.siteId = siteId;
    }
    /**
    * 获取 主题类型（1 个人服务，2 企业服务）
    * @return topicalType
    */
    public Integer getTopicalType() {
        return this.topicalType;
    }
    /**
    * 设置 主题类型（1 个人服务，2 企业服务）
    * @param topicalType
    */
    public void setTopicalType(Integer topicalType) {
        this.topicalType = topicalType;
    }
    /**
    * 获取 
    * @return deleted
    */
    public Integer getDeleted() {
        return this.deleted;
    }
    /**
    * 设置 
    * @param deleted
    */
    public void setDeleted(Integer deleted) {
        this.deleted = deleted;
    }
    /**
    * 获取 创建人id
    * @return createUserId
    */
    public Long getCreateUserId() {
        return this.createUserId;
    }
    /**
    * 设置 创建人id
    * @param createUserId
    */
    public void setCreateUserId(Long createUserId) {
        this.createUserId = createUserId;
    }
    /**
    * 获取 创建人名称
    * @return createUserName
    */
    public String getCreateUserName() {
        return this.createUserName;
    }
    /**
    * 设置 创建人名称
    * @param createUserName
    */
    public void setCreateUserName(String createUserName) {
        this.createUserName = createUserName;
    }
    /**
    * 获取 创建时间
    * @return createTime
    */
    public Date getCreateTime() {
        return this.createTime;
    }
    /**
    * 设置 创建时间
    * @param createTime
    */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }
    /**
    * 获取 修改人
    * @return updateUserId
    */
    public Long getUpdateUserId() {
        return this.updateUserId;
    }
    /**
    * 设置 修改人
    * @param updateUserId
    */
    public void setUpdateUserId(Long updateUserId) {
        this.updateUserId = updateUserId;
    }
    /**
    * 获取 修改人名称
    * @return updateUserName
    */
    public String getUpdateUserName() {
        return this.updateUserName;
    }
    /**
    * 设置 修改人名称
    * @param updateUserName
    */
    public void setUpdateUserName(String updateUserName) {
        this.updateUserName = updateUserName;
    }
    /**
    * 获取 更新时间
    * @return updateTime
    */
    public Date getUpdateTime() {
        return this.updateTime;
    }
    /**
    * 设置 更新时间
    * @param updateTime
    */
    public void setUpdateTime(Date updateTime) {
        this.updateTime = updateTime;
    }

    @Override
    public int hashCode() {
        return this.getId().hashCode();
    }
    @Override
    public boolean equals(Object obj) {
        if (obj == null)
            return false;
        if (obj instanceof OneTopicalEntity) {
            OneTopicalEntity tmp = (OneTopicalEntity) obj;
            if (this.getId().longValue() == tmp.getId().longValue()) {
                return true;
            }
        }
        return false;
    }

    public String toString(){
        StringBuilder sb = new StringBuilder("");
        sb
        .append(",id:").append(getId())
                .append(",topicalName:").append(getTopicalName())
                .append(",topicalRank:").append(getTopicalRank())
                .append(",siteId:").append(getSiteId())
                .append(",topicalType:").append(getTopicalType())
                .append(",deleted:").append(getDeleted())
                .append(",createUserId:").append(getCreateUserId())
                .append(",createUserName:").append(getCreateUserName())
                .append(",createTime:").append(getCreateTime())
                .append(",updateUserId:").append(getUpdateUserId())
                .append(",updateUserName:").append(getUpdateUserName())
                .append(",updateTime:").append(getUpdateTime())
        ;
        return sb.toString();
    }

    public void initAttrValue(){
         this.topicalName = null;
         this.topicalRank = null;
         this.siteId = null;
         this.topicalType = null;
         this.deleted = null;
         this.createUserId = null;
         this.createUserName = null;
         this.createTime = null;
         this.updateUserId = null;
         this.updateUserName = null;
         this.updateTime = null;
    }
}